Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

A great Linux, the second one I feel comfortable with!

Here you can post a testimonial about why you like or love MEPIS. Include as much detail and info as you wish.
Message
Author
davemx
Forum Novice
Forum  Novice
Posts: 60
Joined: Sun Aug 12, 2018 2:31 pm

A great Linux, the second one I feel comfortable with!

#1 Post by davemx » Tue Sep 25, 2018 2:53 pm

https://davespagnol.wordpress.com/2018/ ... -everyone/

I've popped a little testimonial on my web site. Cheers! :number1:
Desktop: Mini-Box M350 with Asus H110i-plus motherboard, Pentium G4600 processor, 2TB SSD and 16Gb RAM DDR4-2133
Printer/Scanner: Brother MFC-J5320W
Laptop: Upgraded Lenovo B50-45

User avatar
oops
Forum Regular
Forum Regular
Posts: 461
Joined: Tue Apr 10, 2018 5:07 pm

Re: A great Linux, the second one I feel comfortable with!

#2 Post by oops » Tue Sep 25, 2018 3:08 pm

Hello davemx ... nice web site ... me too, the second one I feel comfortable with, the last one was Ubuntu 10.04LTS.
$ inxi -Fxxxz : System: Host:XEON ... Distro: MX-18_x64 Continuum

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 17085
Joined: Fri Dec 15, 2006 8:07 pm

Re: A great Linux, the second one I feel comfortable with!

#3 Post by Stevo » Tue Sep 25, 2018 3:18 pm

Thanks for the write-up! About the youtube-dl section, though: we've recently updated youtube-dl in the main repo, so that may now longer be necessary, especially if we continue to keep it up to date. Also, youtube-dl-gui uses its own internal downloaded youtube-dl which is separate from the system version (as does qmplay2), and the internal version can be updated from within the program.

User avatar
fehlix
Forum Guide
Forum Guide
Posts: 2470
Joined: Wed Apr 11, 2018 5:09 pm

Re: A great Linux, the second one I feel comfortable with!

#4 Post by fehlix » Tue Sep 25, 2018 3:35 pm

Stevo wrote:
Tue Sep 25, 2018 3:18 pm
Thanks for the write-up! About the youtube-dl section, though: we've recently updated youtube-dl in the main repo, so that may now longer be necessary, especially if we continue to keep it up to date. Also, youtube-dl-gui uses its own internal downloaded youtube-dl which is separate from the system version (as does qmplay2), and the internal version can be updated from within the program.
To be fair, it's not obvious to realize, that youtube-dl-gui uses it's own youtube-dl, which also updates it with one click. You find the internal used version under /home/$USERNAME/.config/youtube-dlg/youtube-dl.
Gigabyte Z77M-D3H, Intel Xeon E3-1240 V2 (Quad core), 32GB RAM,
GeForce GTX 770, Samsung SSD 850 EVO 500GB, Seagate Barracuda 4TB

davemx
Forum Novice
Forum  Novice
Posts: 60
Joined: Sun Aug 12, 2018 2:31 pm

Re: A great Linux, the second one I feel comfortable with!

#5 Post by davemx » Tue Sep 25, 2018 3:56 pm

I've re-written the bit on YouTube-dl. My understanding is that programmers are forever catching up with changes in the YouTube site, and then the devs for each distro are, in turn, catching up with them, and changed it to an explanation of what to do if it's not working.

Hope everyone's happy with the rest of it.
Desktop: Mini-Box M350 with Asus H110i-plus motherboard, Pentium G4600 processor, 2TB SSD and 16Gb RAM DDR4-2133
Printer/Scanner: Brother MFC-J5320W
Laptop: Upgraded Lenovo B50-45

User avatar
Comedido
Forum Novice
Forum  Novice
Posts: 1
Joined: Tue Sep 25, 2018 11:02 am

Re: A great Linux, the second one I feel comfortable with!

#6 Post by Comedido » Tue Sep 25, 2018 4:37 pm

Hello everyone

MX is being the best experience I've ever had on Linux. I'm a rookie, really a rookie, (few months), but I felt comfortable from the first moment.

I hope to learn a lot from your experience :happy:
There are three types of people: those who know how to count and those who don't.
-------------------------------------------------------------------------------------------------
Intel Core i5-2320-NVIDIA GF119-8 Gb RAM

User avatar
fehlix
Forum Guide
Forum Guide
Posts: 2470
Joined: Wed Apr 11, 2018 5:09 pm

Re: A great Linux, the second one I feel comfortable with!

#7 Post by fehlix » Tue Sep 25, 2018 4:48 pm

davemx wrote:
Tue Sep 25, 2018 2:53 pm
https://davespagnol.wordpress.com/2018/ ... -everyone/

I've popped a little testimonial on my web site. Cheers! :number1:
I've just check the latest brother installation, which you also have mentioned.
Seem they did also fixed a couple of issues with their latest installer, including the /var/spool/lpd
and those lib will be installed lib32gcc1 lib32stdc++6 libc6-i386.
You can try my latest brother-downloader and installer script,
which includes also a checksum verification.
Just start it, e.g. from the command line as

Code: Select all

./brinstaller.sh 'Your-printer-model-name-here'

Code: Select all

#!/bin/bash
# brinstaller.sh
# by fehlix,  2016 -2018
#
# helper script to fetch'n'install latest Brother printer driver
#
# New Brother-Installer-Version: 27.12.2017 Version 2.2.0-1
# New Brother-Installer-Version: 13.09.2018 Version 2.2.1-1
BRDATE="13-09-2018"
BRVERS="2.2.1-1"
# http://download.brother.com/welcome/dlf006893/linux-brprinter-installer-2.2.1-1.gz
# SHA256SUM
# 4bca9b72ea14b8ffe4a5276e0b881d64f1cb5b7b29bcf06869d2cad90bd95bff  linux-brprinter-installer-2.2.1-1.gz

function usage() {
cat<<USAGE

	Usage: $0 [Brother-Printer-Model]

	This helper script will fetch and install latest 
	Brother printer-installer version $BRVERS dated $BRDATE
	Pass Brother-Model parameter or type at prompt
	like HL-L6400DW, MFC-L9570CDW, DCP-135C

USAGE
}

BROTHER="$1"
[ -z "$BROTHER" ] && read -p 'Please enter Brother Model : ' BROTHER
[ -z "$BROTHER" ] && usage && exit 1;
read -p "Ready to fetch and install Brother Model '$BROTHER' (Y/n) :" OK
[ -z "$OK" -o "$OK" = "Y" -o "$OK" = "y" ] || { echo "Abborting $0";  exit 1; }

# set -x
chksum=sha256sum
CHKSUM="4bca9b72ea14b8ffe4a5276e0b881d64f1cb5b7b29bcf06869d2cad90bd95bff"

# Please enter Brother Modell Type (e.g. HL-1030, MFC-L9570CDW, HL-L6400DW)
# HL-L6400DW

BRINS="linux-brprinter-installer-${BRVERS}"
BRIGZ=$BRINS.gz
BRURL="http://download.brother.com/welcome/dlf006893/$BRIGZ"
CHK=$BRIGZ.sha256

[ -f "$BRINS" -o -f $BRIGZ    ] || { echo wget $BRURL;  wget $BRURL; }
[ -f $BRIGZ  -a -f $CHK ] && rm -f $CHK
echo "$CHKSUM  $BRIGZ" > $CHK
$chksum -c $CHK || { echo "CHKSUM Error: abborting installer" && exit 1; }
 

[ -f $BRIGZ  -a ! -f $BRINS ] && gunzip -kv $BRIGZ
[ -f $BRINS ] && chmod +rx $BRINS && sudo -k && sudo ./$BRINS "$BROTHER"  
exit $?
Gigabyte Z77M-D3H, Intel Xeon E3-1240 V2 (Quad core), 32GB RAM,
GeForce GTX 770, Samsung SSD 850 EVO 500GB, Seagate Barracuda 4TB

User avatar
richb
Administrator
Posts: 17564
Joined: Wed Jul 12, 2006 2:17 pm

Re: A great Linux, the second one I feel comfortable with!

#8 Post by richb » Tue Sep 25, 2018 4:50 pm

Welcome to the Forum. I have no doubt your experience will be enhanced by being on the Forum.
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX 17.1
AMD A8 7600 FM2+ CPU R7 Graphics, 16 GIG Mem. Three Samsung EVO SSD's 250 GB, 350 GB HD

User avatar
richb
Administrator
Posts: 17564
Joined: Wed Jul 12, 2006 2:17 pm

Re: A great Linux, the second one I feel comfortable with!

#9 Post by richb » Tue Sep 25, 2018 4:59 pm

A clarification on the test repo in MXPI. It is not the Debian Test Repo, it is an MX test repo that is populated by our package managers. It includes some packages from Debian Testing, other distro offerings and other miscellaneous packages that are not available tin Debian Stable.
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX 17.1
AMD A8 7600 FM2+ CPU R7 Graphics, 16 GIG Mem. Three Samsung EVO SSD's 250 GB, 350 GB HD

davemx
Forum Novice
Forum  Novice
Posts: 60
Joined: Sun Aug 12, 2018 2:31 pm

Re: A great Linux, the second one I feel comfortable with!

#10 Post by davemx » Tue Sep 25, 2018 5:34 pm

fehlix wrote:
Tue Sep 25, 2018 4:48 pm
davemx wrote:
Tue Sep 25, 2018 2:53 pm
https://davespagnol.wordpress.com/2018/ ... -everyone/

I've popped a little testimonial on my web site. Cheers! :number1:
I've just check the latest brother installation, which you also have mentioned.
Seem they did also fixed a couple of issues with their latest installer, including the /var/spool/lpd
and those lib will be installed lib32gcc1 lib32stdc++6 libc6-i386.
You can try my latest brother-downloader and installer script,
which includes also a checksum verification.
Just start it, e.g. from the command line as

Code: Select all

./brinstaller.sh 'Your-printer-model-name-here'

Code: Select all

#!/bin/bash
# brinstaller.sh
# by fehlix,  2016 -2018
#
# helper script to fetch'n'install latest Brother printer driver
#
# New Brother-Installer-Version: 27.12.2017 Version 2.2.0-1
# New Brother-Installer-Version: 13.09.2018 Version 2.2.1-1
BRDATE="13-09-2018"
BRVERS="2.2.1-1"
# http://download.brother.com/welcome/dlf006893/linux-brprinter-installer-2.2.1-1.gz
# SHA256SUM
# 4bca9b72ea14b8ffe4a5276e0b881d64f1cb5b7b29bcf06869d2cad90bd95bff  linux-brprinter-installer-2.2.1-1.gz

function usage() {
cat<<USAGE

	Usage: $0 [Brother-Printer-Model]

	This helper script will fetch and install latest 
	Brother printer-installer version $BRVERS dated $BRDATE
	Pass Brother-Model parameter or type at prompt
	like HL-L6400DW, MFC-L9570CDW, DCP-135C

USAGE
}

BROTHER="$1"
[ -z "$BROTHER" ] && read -p 'Please enter Brother Model : ' BROTHER
[ -z "$BROTHER" ] && usage && exit 1;
read -p "Ready to fetch and install Brother Model '$BROTHER' (Y/n) :" OK
[ -z "$OK" -o "$OK" = "Y" -o "$OK" = "y" ] || { echo "Abborting $0";  exit 1; }

# set -x
chksum=sha256sum
CHKSUM="4bca9b72ea14b8ffe4a5276e0b881d64f1cb5b7b29bcf06869d2cad90bd95bff"

# Please enter Brother Modell Type (e.g. HL-1030, MFC-L9570CDW, HL-L6400DW)
# HL-L6400DW

BRINS="linux-brprinter-installer-${BRVERS}"
BRIGZ=$BRINS.gz
BRURL="http://download.brother.com/welcome/dlf006893/$BRIGZ"
CHK=$BRIGZ.sha256

[ -f "$BRINS" -o -f $BRIGZ    ] || { echo wget $BRURL;  wget $BRURL; }
[ -f $BRIGZ  -a -f $CHK ] && rm -f $CHK
echo "$CHKSUM  $BRIGZ" > $CHK
$chksum -c $CHK || { echo "CHKSUM Error: abborting installer" && exit 1; }
 

[ -f $BRIGZ  -a ! -f $BRINS ] && gunzip -kv $BRIGZ
[ -f $BRINS ] && chmod +rx $BRINS && sudo -k && sudo ./$BRINS "$BROTHER"  
exit $?
I will do! I'll just have to set up a new partition to test it. Is the script available as a deb through the repositories? I would imagine that if it were, it would include a copyright notice for Brother? It would be great if you could install a script through the installer or synaptic, it runs and installs!
Desktop: Mini-Box M350 with Asus H110i-plus motherboard, Pentium G4600 processor, 2TB SSD and 16Gb RAM DDR4-2133
Printer/Scanner: Brother MFC-J5320W
Laptop: Upgraded Lenovo B50-45

Post Reply

Return to “Testimonials”